// -----------------------------------------------------------------------------------------
//
// StepMain.CPP                                                       Ulrich Mller 22.05.02
//                                                                    PCS1700       VC++ 6.0
// Testrahmen fr StepMotor-Funktionen auf Basis von umFish30.DLL
//
// Motor 1 rot an M1 vorn(+), schwarz hinten (-), grau an M2 vorn, grn hinten
// Motor 2        M3                                       M4
//
// -----------------------------------------------------------------------------------------

#include <Windows.h>
#include <iostream.h>
#include "umFish30VC.H"

int ft;

void RechtsDreh(int mNr, int Pause)
{
	csSetMotor(ft, mNr, ftiRechts);
	Sleep(Pause);
	csSetMotor(ft, mNr+1, ftiLinks);
	Sleep(Pause);
	csSetMotor(ft, mNr, ftiLinks);
	Sleep(Pause);
	csSetMotor(ft, mNr+1, ftiRechts);
	Sleep(Pause);
}


void LinksDreh(int mNr, int Pause)
{
	csSetMotor(ft, mNr, ftiLinks);
	Sleep(Pause);
	csSetMotor(ft, mNr+1, ftiLinks);
	Sleep(Pause);
	csSetMotor(ft, mNr, ftiRechts);
	Sleep(Pause);
	csSetMotor(ft, mNr+1, ftiRechts);
	Sleep(Pause);
}

void main()
{
	int i, Speed;
	cout << "--- umFish30Step gestartet ---" << endl;
	cout << "umFish30 Version : " << csVersion() << endl;

	// ---- Verbindung zum Interface -----------------------------------------
	ft = csOpenInterface(1, 0, 0, 0);  // --- COM1, no AnalogScan, no Slave default Poll
	if(ft == ftiFehler) {cout << "InterfaceProblem, Abbruch" << endl; return;}
	cout << "--- OpenInterface erfolgreich erfolgreich ---" << endl;
	cout << " PollInterval : " << csGetPollInterval(ft) << endl;


	Speed = csGetPollInterval(ft);
	// ------ Schrittmotor M1/M2 rechts, 77 Schrittzyklen, full Speed
	for(i=0; i<77; i++) RechtsDreh(1, Speed);
	// ------ Schrittmotor M3/M4 links, 44 Schrittzyklen, slow
	for(i=0; i<44;  i++) LinksDreh(3, Speed*3);


	// --- Ende -----------------------------------
	csCloseInterface(ft);
	cout << "--- ENDE ---" << endl;
}

